<!---

UCMExporterXML element attribute sets

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsltc="http://xml.apache.org/xalan/xsltc"
	extension-element-prefixes="xsltc" version="1.0">

<!-- scenarios -->
<xsl:attribute-set name="scenariosAttributeSet">
	<xsl:attribute name="date">
		<xsl:value-of select="@date"/>
	</xsl:attribute>
	<xsl:attribute name="ucm-file">
		<xsl:value-of select="@ucm-file"/>
	</xsl:attribute>
	<xsl:attribute name="design-name">
		<xsl:value-of select="@design-name"/>
	</xsl:attribute>
	<xsl:attribute name="ucm-design-version">
		<xsl:value-of select="@ucm-design-version"/>
	</xsl:attribute>
</xsl:attribute-set>


<!-- group -->
<xsl:attribute-set name="groupAttributeSet">
	<xsl:attribute name="name">
		<xsl:value-of select="@name"/>
	</xsl:attribute>
	<xsl:attribute name="group-id">
		<xsl:value-of select="@group-id"/>
	</xsl:attribute>
</xsl:attribute-set>


<!-- scenario -->
<xsl:attribute-set name="scenarioAttributeSet">
	<xsl:attribute name="name">
		<xsl:value-of select="@name"/>
	</xsl:attribute>
	<xsl:attribute name="scenario-definition">
		<xsl:value-of select="@scenario-definition"/>
	</xsl:attribute>
</xsl:attribute-set>



<!-- par  -->
<xsl:attribute-set name="parAttributeSet">

</xsl:attribute-set>



<!-- seq -->
<xsl:attribute-set name="seqAttributeSet">
	<xsl:attribute name="para-label">
		<xsl:value-of select="@para-label"/>
	</xsl:attribute>
</xsl:attribute-set>



<!--  do -->
<xsl:attribute-set name="doAttributeSet">

</xsl:attribute-set>



<!--  message -->
<xsl:attribute-set name="messageAttributeSet">
	<xsl:attribute name="id">
		<xsl:value-of select="@id"/>
	</xsl:attribute>
	<xsl:attribute name="name">
		<xsl:value-of select="@name"/>
	</xsl:attribute>
	<xsl:attribute name="source-id">
		<xsl:value-of select="@source-id"/>
	</xsl:attribute>
	<xsl:attribute name="destination-id">
		<xsl:value-of select="@destination-id"/>
	</xsl:attribute>
	<xsl:attribute name="is-task">
		<xsl:value-of select="@is-task"/>
	</xsl:attribute>
	<xsl:attribute name="is-connector">
		<xsl:value-of select="@is-connector"/>
	</xsl:attribute>
	<xsl:attribute name="connector-type">
		<xsl:value-of select="@connector-type"/>
	</xsl:attribute>
	<xsl:attribute name="is-timer">
		<xsl:value-of select="@is-timer"/>
	</xsl:attribute>
	<xsl:attribute name="timer-property">
		<xsl:value-of select="@timer-property"/>
	</xsl:attribute>
	<xsl:attribute name="para-label">
		<xsl:value-of select="@para-label"/>
	</xsl:attribute>
</xsl:attribute-set>



<!-- condition -->
<xsl:attribute-set name="conditionAttributeSet">

</xsl:attribute-set>



<!--  paraMessageConnectors -->
<xsl:attribute-set name="paraMessageConnectorsAttributeSet">

</xsl:attribute-set>

</xsl:stylesheet>