<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsltc="http://xml.apache.org/xalan/xsltc"
	extension-element-prefixes="xsltc" version="1.0">
<xsl:include href="UCMExporterXMLDuplicator.xsl"/>

<xsl:template match="seq">

	<xsl:choose>
		<!-- if the seq has no nested <par> then copy it safely -->	
		<xsl:when test="count(.//par) = 0 ">
			<xsl:copy-of select="."/>
		</xsl:when>
		
		<xsl:otherwise>
			<!-- go find those <par> and duplicate the rest-->
			<xsl:element name="seq" use-attribute-sets="seqAttributeSet">
				<xsl:apply-templates select="child::*"/>
			</xsl:element>
		</xsl:otherwise>
	
	</xsl:choose>
</xsl:template>


<xsl:template match="par">
	<xsl:comment>par was here </xsl:comment>
		<xsl:apply-templates select="child::*"/>
	<xsl:comment>par closing was here </xsl:comment>	
</xsl:template>


</xsl:stylesheet>